package com.philisense.www.dao.impl;

import com.philisense.www.dao.EbookArticleTypeDAO;
import com.philisense.www.mapper.EbookArticleTypeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class EbookArticleTypeDAOImpl implements EbookArticleTypeDAO {
    @Autowired
    private EbookArticleTypeMapper ebookArticleTypeMapper;
    @Override
    public int deleteByPrimaryKey(String id) {
        return ebookArticleTypeMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return ebookArticleTypeMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return ebookArticleTypeMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return ebookArticleTypeMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return ebookArticleTypeMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return ebookArticleTypeMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return ebookArticleTypeMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return ebookArticleTypeMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return ebookArticleTypeMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return ebookArticleTypeMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        ebookArticleTypeMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        ebookArticleTypeMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        ebookArticleTypeMapper.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getEbookArticleTypeByParentid(Map<String, Object> map) {
        return ebookArticleTypeMapper.getEbookArticleTypeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getEbookArticleTypeByLevelCode(Map<String, Object> map) {
        return ebookArticleTypeMapper.getEbookArticleTypeByLevelCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return ebookArticleTypeMapper.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        ebookArticleTypeMapper.updateBatchLevelCode(map);
    }
}
